Bug 967366 - NetworkManager needs to be disabled in some installation methods
NetworkManager needs to be disabled in some installation methods
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Getting_Started_Guide (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity urgent
: rc
: 3.0
Assigned To: Deepti Navale
ecs-bugs
: Documentation
Depends On:
Blocks: 967367
  Show dependency treegraph
 
Reported: 2013-05-26 17:26 EDT by Steven Dake
Modified: 2016-04-26 14:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 967367 (view as bug list)
Environment:
Last Closed: 2013-07-01 16:24:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2013-05-26 17:26:22 EDT
Document URL: 

Section Number and Name: 
Software Requirements 2.1

Describe the issue: 
NetworkManager is enabled in some installations of RHEL.  In some cases, NetworkManager must be manually disabled for OpenStack networking to operate correctly.

Suggestions for improvement: 
Add a section after 2.1.2
2.1.3 "Disable NetworkManager if enabled"

Some installation methods of RHEL install NetworkManager which interfere with OpenStack Networking.  If these installation methods are chosen, please manually disable NetworkManager.

No action is needed if the installation chosen is:
* Basic Server
* Database Server
* Web Server
* Identity Management Server
* Virtualization Host
* Minimal Install

NetworkManager must be disabled if the installation chosen is:
* Desktop
* Software Development Workstation

Disable network manager by running the commands

$ sudo chkconfig NetworkManager off
$ sudo service NetworkManager stop

Modify the network script related to the network interfaces in 
/etc/sysconfig/network-scripts/ifcfg-ethX where X is the interface
1. Remove the line NM_CONTROLLED=yes
2. Change ONBOOT=no to ONBOOT=yes

Additional information: 
1.
If chkconfig --list NetworkManager displays:
error reading information on service NetworkManager: No such file or directory

Then the user doesn't have to worry about making this change.

2.
If the results are:
$ chkconfig --list NetworkManager
NetworkManager 	0:off	1:off	2:on	3:on	4:on	5:on	6:off

Then the user needs to take action.
Comment 2 Stephen Gordon 2013-05-29 11:46:50 EDT
"Disabling Network Manager" - ID: 17685 [rev: 456034]
Comment 3 Stephen Gordon 2013-05-29 14:24:28 EDT
Resetting, comment #2 was meant for the other bug.

Note You need to log in before you can comment on or make changes to this bug.